{
  "name": "backend-coding-task",
  "version": "1.0.0",
  "description": "Backend-coding-task",
  "main": "index.js",
  "repository": "git@bitbucket.org:the_firm/tenderon.git",
  "author": "K2",
  "license": "MIT",
  "scripts": {
    "dev": "NODE_ENV=dev node -r ts-node/register ./src/index.ts",
    "dev:watch": "nodemon",
    "build": "tsc",
    "start": "node ./index.js",
    "tslint": "tslint --project tsconfig.json",
    "tslint:fix": "tslint --fix -c ./tslint.json 'src/**/*{.ts,.tsx}'",
    "prettier:base": "prettier --parser typescript --single-quote",
    "prettier:write": "npm run prettier:base -- --write \"src/**/*.ts\"",
    "test": "jest --runInBand",
    "test:watch": "yarn test --watch --runInBand",
    "test:coverage": "yarn test --collectCoverage --runInBand"
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn prettier:write"
    }
  },
  "dependencies": {
    "apollo-server-express": "^2.21.0",
    "class-validator": "^0.13.1",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "graphql": "^15.5.0",
    "graphql-iso-date": "^3.6.1",
    "mysql": "^2.18.1",
    "pino": "^6.11.1",
    "type-graphql": "^1.1.1",
    "typeorm": "^0.2.31"
  },
  "devDependencies": {
    "@types/dotenv": "^8.2.0",
    "@types/express": "^4.17.11",
    "@types/jest": "^26.0.19",
    "@types/node": "^14.14.13",
    "@types/pino": "^6.3.4",
    "apollo-server-testing": "^2.21.0",
    "husky": "^4.3.5",
    "jest": "^26.6.3",
    "nodemon": "^2.0.7",
    "prettier": "^2.2.1",
    "ts-jest": "^26.5.1",
    "ts-node": "^9.1.1",
    "tslint": "^6.1.3",
    "tslint-config-airbnb": "^5.11.2",
    "tslint-config-prettier": "^1.18.0",
    "tslint-plugin-prettier": "^2.3.0",
    "typescript": "^4.1.5"
  }
}
